Bug 7333 - Feature request: automount support
Feature request: automount support
Status: RESOLVED WONTFIX
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All Solaris
: P3 enhancement
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-07 06:23 UTC by Bernd Markgraf
Modified: 2013-02-18 13:29 UTC (History)
0 users

See Also:


Attachments
ldif for automount schema (1.92 KB, text/plain)
2010-04-09 15:57 UTC, Bernd Markgraf
no flags Details
create auto_master map in ldap (125 bytes, text/plain)
2010-04-09 15:59 UTC, Bernd Markgraf
no flags Details
fill auto_master map with an entry (180 bytes, text/plain)
2010-04-09 16:03 UTC, Bernd Markgraf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Markgraf 2010-04-07 06:23:45 UTC
currently S4 seems to be missing a few rfc2307 objectclasses and attributes. especially NisDomainObject and NisDomain. I assume having these available and set in the DIT enables the possibility to enter Unix account data using the Windows AD admin tools (there you can only enter uidNumber, GID, homeDirectory etc when the NisDomain is set).
Comment 1 Matthias Dieter Wallnöfer 2010-04-08 03:37:50 UTC
We support this was the Windows Server 2008R2 schema provides.
Comment 2 Matthias Dieter Wallnöfer 2010-04-08 05:08:41 UTC
Double checked against my Windows Server VM. Also there are these object classes per default missing. I imagine that they are added to the schema when you set up the UNIX domain services for Windows.

If you would like to have them in the s4 schema as well I invite you to provide an LDIF file with the definitions of them (we help you to write it if you are stuck) which can be applied after the s4 provision process. It should be located under "setup".
You can also provide us a python script which does the apply operation against the local s4 DC in a comfortable manner (shouldn't be too hard to program).

Marking this as "Feature request" since it's not a real bug.
Comment 3 Bernd Markgraf 2010-04-08 09:12:55 UTC
i too checked again :-) the ms ad schema provides a number of attributes/objectclasses also available in rfc2307bis. (looking at the docs in the source tree).
from that it should support nisdomainObject objectclass and nisdomain attribute. the latter is missing in the s4 schema it seems.
i'm working on the ldif.
the automount stuff is not in the ms ad schema, so i prepare a ldif for them.
Comment 4 Bernd Markgraf 2010-04-08 15:52:47 UTC
i have to correct myself the nisDomain attribute is already there as msSFU30nisDomain. The nisDomainObject objectclass is missing. The MS AD schema only implentents a subset of the rfc2307 attributes and objectclasses. But that I can circumvent using a local mapping.
I'm working on the ldif for the automount objectclasses right now.
Comment 5 Bernd Markgraf 2010-04-09 15:57:51 UTC
Created attachment 5620 [details]
ldif for automount schema
Comment 6 Bernd Markgraf 2010-04-09 15:59:54 UTC
Created attachment 5621 [details]
create auto_master map in ldap
Comment 7 Bernd Markgraf 2010-04-09 16:03:34 UTC
Created attachment 5622 [details]
fill auto_master map with an entry
Comment 8 Bernd Markgraf 2010-04-09 16:08:18 UTC
the schema definition works fine on my setup.
creating and filling the maps doesn't work using ldapadd though. I get a naming violation.
however ldbmodify works and the data is provided to the clients correctly.
Comment 9 Matthias Dieter Wallnöfer 2010-04-10 07:36:39 UTC
(In reply to comment #5)
> Created an attachment (id=5620) [details]
> ldif for automount schema
> 

My comment: basically okay, but omit the "name" and the "schemaIdGuid" attribute (they're autogenerated on the schema add process).

I would also like to hear abartlet's opinion about adding the LDIFs into the "setup" directory or somewhere else.
Comment 10 Matthias Dieter Wallnöfer 2010-06-07 15:50:40 UTC
Andrew, should we accept these automount schema patches? (I mean as an extension)
Comment 11 Matthias Dieter Wallnöfer 2010-10-16 12:57:29 UTC
abartlet, could you comment here?
Comment 12 Matthias Dieter Wallnöfer 2010-10-31 12:47:41 UTC
Well, we don't get any response from abartlet - so I close this bug with "WONTFIX". Please don't understand me wrong, but I need to close old bugs since otherwise we get here fully out of order.

But If you (Bernd) still would really like to get these patches into the distribution then please write to the samba-technical mailing list.